XSetScreenSaver(3) | Library Functions Manual | XSetScreenSaver(3)

# NAME

XSetScreenSaver, XForceScreenSaver, XActivateScreenSaver, XResetScreenSaver, XGetScreenSaver - manipulate the screen saver

# SYNTAX

int XSetScreenSaver(Display * display, int timeout, int interval, int prefer_blanking, int allow_exposures);
int XForceScreenSaver(Display * display, int mode);
int XActivateScreenSaver(Display * display);
int XResetScreenSaver(Display * display);
int XGetScreenSaver(Display * display, int *timeout_return, int * interval_return, int *prefer_blanking_return, int * allow_exposures_return);

# ARGUMENTS

allow_exposures
  Specifies the screen save control values. You can pass DontAllowExposures, AllowExposures, or DefaultExposures.

allow_exposures_return
  Returns the current screen save control value AllowExposures, or DefaultExposures).

display
  Specifies the connection to the X server.

interval
  Specifies the interval, in seconds, between screen saver alterations.

interval_return
  Returns the interval between screen saver invocations.

mode
  Specifies the mode that is to be applied. You can pass ScreenSaverActive or ScreenSaverReset.

prefer_blanking
  Specifies how to enable screen blanking. You can pass DontPreferBlanking, PreferBlanking, or DefaultBlanking.

prefer_blanking_return
  Returns the current screen blanking preference PreferBlanking, or DefaultBlanking).

timeout
  Specifies the timeout, in seconds, until the screen saver turns on.

timeout_return
  Returns the timeout, in seconds, until the screen saver turns on.

# DESCRIPTION

Timeout and interval are specified in seconds. A timeout of 0 disables the screen saver (but an activated screen saver is not deactivated), and a timeout of -1 restores the default. Other negative values generate a BadValue error. If the timeout value is nonzero, XSetScreenSaver

X Version 11 | XLIB FUNCTIONS